body, html {
    height: 100%;
    margin: 0;
    padding: 0;
    background: linear-gradient(to bottom, #212127, #2b2b35);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#logo-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 0 1 auto;
    padding: 20px;
}

#Logo {
    max-width: 30%;
    height: auto;
}

.parent {
            
            display: flex;
            padding: 20px;
            border-radius: 8px;
            width: 300px;
            flex-direction: column;
            justify-content: center; /* Centra el botón horizontalmente */
            align-items: center; /* Centra el botón verticalmente */
}
#loginForm {
            display: flex;
            padding: 20px;
            border-radius: 8px;
            width: 300px;
            flex-direction: column;
            justify-content: center; /* Centra el botón horizontalmente */
            align-items: center; /* Centra el botón verticalmente */
}

#textoClave {
    color: #FFFFFF;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    resize: none; /* Evita que el usuario cambie el tamaño */
    width: 80%;
    padding: 10px;
    margin-bottom: 15px;
    border-radius: 4px;
    font-size: 16px;
    background-color: #2b2b35;
    border: 1px solid #8688a58f;
    height: 20px;
}
#textoUsuario{
    color: #FFFFFF;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    resize: none; /* Evita que el usuario cambie el tamaño */
    width: 80%;
    padding: 10px;
    margin-bottom: 15px;
    border-radius: 4px;
    font-size: 16px;
    background-color: #212127;
    border: 1px solid #8688a58f;
    height: 20px;

}
#botonIngresar {
    width: 100px;
}

p{
    font-weight: 400;
    font-family: monospace;
    color: #FFFFFF;
    font-size: 12px;
}

button {
    
    padding: 10px;
    font-size: 16px;
    font-weight: bold;
    border: none;
    background-color: #212127;
    color: #8688a5;
    border-radius: 5px;
    transition: background-color 0.3s;
    width: 80%;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);

}

button:disabled {
    background-color: #ccc;
    cursor: not-allowed;
}

button:hover {
    background-color: #3f4150;
}
button:active {
    background-color: #212127; /* Cambia el color de fondo al presionar */
}

select {
    padding: 10px;
    margin: 0 10px;
    border: 1px solid #8688a5;
    border-radius: 5px;
    background-color: #343541;
    color: #FFFFFF;
    font-size: 16px;
}
textarea::-webkit-scrollbar {
    width: 16px; /* Ancho de la barra de desplazamiento */
    cursor: default; 
}

textarea::-webkit-scrollbar-track {
    background: #8688a58f; /* Color de fondo de la pista de la barra de desplazamiento */
}

textarea::-webkit-scrollbar-thumb {
    background-color: #2b2b35; /* Color del control deslizante de la barra de desplazamiento */
    border-radius: 10px; /* Borde redondeado del control deslizante */
}

textarea::-webkit-scrollbar-thumb:hover {
    background-color: #343541; /* Color de fondo de la pista de la barra de desplazamiento mouseover*/
}

/* Estilos para Firefox */
textarea {
    scrollbar-width: thin; /* Ancho de la barra de desplazamiento */
    scrollbar-color: #343541 #2b2b35; /* Color del control deslizante y fondo de la pista */
}

@media (max-width: 768px) {
    .parent {
        flex-direction: column;
    }

    .contenedorTextoBoton {
        width: 100%;
    }

    .contenedorBotones {
        flex-direction: row; /* Mantener los botones en fila para dispositivos pequeños */
    }

    button {
        margin: 5px; /* Margen para separar los botones */
    }
}
